Subject: Re: RE:Re: RE:Re: RE:Re: RE:Fw: URGENT!! My credit was charged and I am not seeing the order update in my orders section of my profile #Ref 20241126003424240
From: Alicia Bennett <[email-masked]>
To: info <[email-masked]>
Date: Thu, 28 Nov 2024 23:25:24 +0000

Giselle this is what Paypal is still demanding below can you have a supervisor look into my situation please. This is very disheartening..I dont know what else to do.

Yahoo
Mail: Search, organise, conquer

On Wed, 27 Nov 2024 at 12:58 pm, [email-masked]

<[email-masked]> wrote:

You're welcome!

===============================================================================

Ok thank you Giselle..I will engage Paypal to cancel and refund me.

Yahoo
Mail: Search, organise, conquer

On Wed, 27 Nov 2024 at 11:29 am, [email-masked]